> ## Documentation Index
> Fetch the complete documentation index at: https://docs.osiro.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv2organizations billingcredits checkout



## OpenAPI

````yaml https://api.osiro.com/doc post /api/v2/organizations/{orgId}/billing/credits-checkout
openapi: 3.0.0
info:
  title: osiro API
  version: 2.0.0
servers: []
security: []
tags:
  - name: Funnel
    description: Public funnel rendering, submission, MFA, and analytics.
  - name: Booking
    description: A lead's cancel and reschedule of their booking, via the manage link.
  - name: Training
    description: Org-scoped sales-training catalogs, sessions, and call records.
  - name: Attribution
    description: Cross-domain PostHog identity handoff for the marketing site.
  - name: Billing
    description: Org-scoped checkouts, plans, trials and the Stripe billing portal.
  - name: Leads
    description: Org-scoped lead reads and actions.
  - name: Ad copy
    description: Org-scoped ad guidelines and Meta ad copy generation.
paths:
  /api/v2/organizations/{orgId}/billing/credits-checkout:
    post:
      tags:
        - Billing
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: orgId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PermanentCreditsCheckoutInput'
      responses:
        '200':
          description: A Stripe Checkout session for permanent Twilio credits
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingCheckoutUrl'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '503':
          description: Service unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    PermanentCreditsCheckoutInput:
      type: object
      properties:
        redirectTo:
          type: string
          format: uri
        failureRedirectTo:
          type: string
          format: uri
        quantity:
          type: number
          default: 1
      required:
        - redirectTo
        - failureRedirectTo
    BillingCheckoutUrl:
      type: object
      properties:
        url:
          type: string
          nullable: true
      required:
        - url
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
      required:
        - error

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.